import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { Structure } from '../models/structure.model';

@Injectable({
  providedIn: 'root',
})
export class RdvsService {
  private readonly rdvsBaseUrl = 'https://www.rdv-aide-numerique.fr/resin';
  constructor(private http: HttpClient) {}

  public sendStructureArray(structureArray: Structure[]): Observable<any> {
    const idsArray = structureArray.map((_structure) => _structure.idCNFS);

    return this.http.post<any>(this.rdvsBaseUrl, idsArray);
  }

  public goToRDVS(idCnfs) {
    const url = this.rdvsBaseUrl + '/' + idCnfs;
    window.open(url, '_blank');
  }
}
